<template>
  <div class="footer">
    <v-container fill-height fluid class="pt-10 pb-5">
      <v-row
        align="center"
        :style="
          $vuetify.breakpoint.xs || $vuetify.breakpoint.sm
            ? 'text-align:center'
            : 'text-align:left; margin-left:5%'
        "
        xs="10"
        sm="1"
        md="4"
        justify="center"
        justify-md="start"
        justify-lg="start"
        justify-xl="start"
      >
        <div>
          <p
            v-if="$vuetify.breakpoint.xs || $vuetify.breakpoint.sm"
            class="h1-mobile"
          >
            {{ $t("footer.contact_us") }}
          </p>
          <h1 v-else>{{ $t("footer.contact_us") }}</h1>
          <p
            :class="
              $vuetify.breakpoint.xs || $vuetify.breakpoint.sm
                ? 'text-mobile'
                : 'text'
            "
            class="mt-6"
          >
            {{ $t("footer.email") }}: support@robinfood.io
          </p>
        </div>
      </v-row>
      <v-row
        class="mb-2 mt-5"
        xs="10"
        sm="1"
        md="4"
        justify="center"
        justify-md="start"
        justify-lg="start"
        justify-xl="start"
        :style="
          $vuetify.breakpoint.xs || $vuetify.breakpoint.sm
            ? ''
            : 'margin-left:5%'
        "
      >
        <v-btn
          icon
          href="https://www.facebook.com/robinfood.io"
          target="_blank"
          class="mr-5"
        >
          <v-icon x-large>mdi-facebook</v-icon>
        </v-btn>

        <v-btn
          icon
          href="https://www.instagram.com/robinfood_ua/"
          target="_blank"
        >
          <v-icon x-large>mdi-instagram</v-icon>
        </v-btn>
      </v-row>
      <v-row
        align="center"
        justify="center"
        justify-md="start"
        justify-lg="start"
        justify-xl="start"
        style="color: grey"
        :style="
          $vuetify.breakpoint.xs || $vuetify.breakpoint.sm
            ? ''
            : 'margin-left:5%'
        "
      >
        <v-btn @click="$emit('switch-locale', 'ua')" text small icon plain>
          <p>ua</p>
        </v-btn>
        |

        <v-btn @click="$emit('switch-locale', 'en')" text small plain icon>
          <p>en</p>
        </v-btn>
        <!-- |
        <v-btn @click="$emit('switch-locale', 'ru')" text small plain icon>
          <p>ru</p>
        </v-btn> -->
      </v-row>
    </v-container>
  </div>
</template>

<script>
import "../assets/style.scss";
export default {
  name: "Footer",
  data() {
    return {};
  },
};
</script>

<style scoped>
.footer {
  background-color: rgba(187, 187, 187, 0.25);
  margin-top: 100px;
}
.v-btn:hover p {
  color: green !important;
  transform: scale(1.1);
}
.v-btn p {
  margin: auto;
}
h1,
.h1-mobile {
  text-transform: uppercase;
}
.v-icon {
  color: #40394a !important;
}
</style>
